package com.ruoyi.web.modules.trading.domain;

import java.util.Date;
import java.util.List;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 隔离巡查登记 biz_isolation_patrol
 */
public class BizIsolationPatrol extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date patrolTime;

    private Long penId;

    private String penCode;

    private Integer sickDeadQty;

    private String contentDesc;

    private String handleDesc;

    private String earTags;

    private String photoUrl;

    private String photoPath;

    private String delFlag;

    private String patrolDateStart;

    private String patrolDateEnd;

    private List<String> earTagList;

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Date getPatrolTime()
    {
        return patrolTime;
    }

    public void setPatrolTime(Date patrolTime)
    {
        this.patrolTime = patrolTime;
    }

    public Long getPenId()
    {
        return penId;
    }

    public void setPenId(Long penId)
    {
        this.penId = penId;
    }

    public String getPenCode()
    {
        return penCode;
    }

    public void setPenCode(String penCode)
    {
        this.penCode = penCode;
    }

    public Integer getSickDeadQty()
    {
        return sickDeadQty;
    }

    public void setSickDeadQty(Integer sickDeadQty)
    {
        this.sickDeadQty = sickDeadQty;
    }

    public String getContentDesc()
    {
        return contentDesc;
    }

    public void setContentDesc(String contentDesc)
    {
        this.contentDesc = contentDesc;
    }

    public String getHandleDesc()
    {
        return handleDesc;
    }

    public void setHandleDesc(String handleDesc)
    {
        this.handleDesc = handleDesc;
    }

    public String getEarTags()
    {
        return earTags;
    }

    public void setEarTags(String earTags)
    {
        this.earTags = earTags;
    }

    public String getPhotoUrl()
    {
        return photoUrl;
    }

    public void setPhotoUrl(String photoUrl)
    {
        this.photoUrl = photoUrl;
    }

    public String getPhotoPath()
    {
        return photoPath;
    }

    public void setPhotoPath(String photoPath)
    {
        this.photoPath = photoPath;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getPatrolDateStart()
    {
        return patrolDateStart;
    }

    public void setPatrolDateStart(String patrolDateStart)
    {
        this.patrolDateStart = patrolDateStart;
    }

    public String getPatrolDateEnd()
    {
        return patrolDateEnd;
    }

    public void setPatrolDateEnd(String patrolDateEnd)
    {
        this.patrolDateEnd = patrolDateEnd;
    }

    public List<String> getEarTagList()
    {
        return earTagList;
    }

    public void setEarTagList(List<String> earTagList)
    {
        this.earTagList = earTagList;
    }
}
